.home {
    &__content {
        display: grid;
        grid-auto-flow: row;
        row-gap: 24px;
        align-content: flex-start;
    }

    &__controller {
        display: grid;
        grid-template-columns: auto 160px;
        column-gap: 24px;
    }

    &__filter-button {
        background-color: var(--cloud);
        color: var(--smoke);
        border-radius: 32px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    &__recipies {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 16px;
    }

    &__banner {
        background-color: var(--raspberry);
        border-radius: 32px;
        display: grid;
        grid-template-columns: minmax(45%, 430px) 35%;
        position: relative;
        padding: 24px 24px 32px;
        margin-top: 36px;

        @media screen and (max-width: 768px) {
            grid-template-columns: 1fr;
            border-radius: 16px;
            margin: unset;
        }
    }

    &__banner-text {
        margin: auto 40px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        color: var(--text-cloud);
    }

    &__banner-heading {
        margin-bottom: 10px;
        font-size: 30px;
        color: var(--text-cloud);

        @media screen and (max-width: 768px) {
            font-size: 24px;
        }
    }

    &__banner-paragraph {
        color: var(--text-cloud);

        @media screen and (max-width: 768px) {
            font-size: 0.9em;
        }
    }

    &__banner-photo {
        position: absolute;
        height: 130%;
        max-width: 34%;
        right: 3%;
        bottom: 0;
        object-fit: contain;
        object-position: bottom;

        @media screen and (max-width: 768px) {
            display: none;
        }
    }

    &__carousel-section {
        position: relative;
    }

    &__category-section {
        display: grid;
        grid-auto-flow: row;
        grid-gap: 16px;
    }

    &__category-header {
        font-size: 32px;

        @media screen and (max-width: 900px) {
            font-size: 28px;
        }
    }

    &__category-items {
        position: relative;
        width: fit-content;
        display: grid;
        grid-auto-flow: column;
        grid-gap: 16px;
        justify-content: flex-start;

        &:hover {
            & > * {
                opacity: 0;
            }

            & > .home__category-chungus {
                opacity: 1;
            }
        }
    }

    &__category-button {
        transition: opacity .25s ease;
        border-radius: 16px;
        margin-left: 0;

        & > svg {
            font-size: 2em;
        }

        &--inactive {
            border: 1px solid #e2e2e2;
        }
    }

    &__category-chungus {
        display: flex;
        align-items: center;
        gap: 15px;
        padding: 5px;
        border-radius: 15px;
        transition: opacity .25s ease;
        position: absolute;
        top: 0;
        left: 0;
        opacity: 0;

        color: red;
        font-weight: 900;
        background-image: linear-gradient(125deg, red,orange,yellow,green,blue,indigo,violet);
    
        & > img {
            border-radius: 10px;
            width: 60px;
            height: 45px;
        }
    }
}